Page MenuHomePhabricator

[Wikistats 2] Bug in time-range selector on detail page
Closed, ResolvedPublic

Description

How to reproduce the bug :

  1. Select 'en.wikipedia.org' on Dashboard (or any other specific wiki with significant data to visibly see the bug).
  2. Go-to Unique Devices Metric.
  3. Change filter & split to ‘Split by access site’ (optional).
  4. Select 3-months time-range & observe the graph & the URL carefully.
  5. Click on 3-months again and see the graph & URL changing.

Details

Related Gerrit Patches:
analytics/wikistats2 : masterFix interval bugs in time range selector

Event Timeline

sahil505 created this task.Jul 27 2018, 6:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2018, 6:29 AM
Milimetric assigned this task to mforns.Jul 30 2018, 3:59 PM
Milimetric triaged this task as High priority.
Milimetric moved this task from Incoming to Wikistats Beta on the Analytics board.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 450063 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/wikistats2@master] Fix interval bugs in time range selector

https://gerrit.wikimedia.org/r/450063

mforns added a comment.Aug 2 2018, 5:48 PM

You can also reproduce the error just by selecting a monthly time range and then changing to a daily time range.
The selected period is inconsistent with the shown data.

Change 450063 merged by Milimetric:
[analytics/wikistats2@master] Fix interval bugs in time range selector

https://gerrit.wikimedia.org/r/450063

fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Aug 30 2018, 3:57 PM
Nuria closed this task as Resolved.Aug 30 2018, 9:51 PM